MaxLabelSplit Class Reference
Inheritance diagram for MaxLabelSplit:

## Public Member Functions

virtual const char * | getName () const
| Returns the name of the strategy.
virtual size_t | getLabelSplitVariable (const Slice &slice) const
| Returns the variable to perform a label split on.
Public Member Functions inherited from SplitStrategyCommon
virtual void | getPivot (Term &pivot, Slice &slice) const
| Sets pivot to the pivot of a pivot split on slice.
virtual void | getPivot (Term &pivot, Slice &slice, const TermGrader &grader) const
| Sets pivot to the pivot of a pivot split on slice.
virtual bool | isPivotSplit () const
| If returns true, only call getPivot.
Public Member Functions inherited from SplitStrategy
virtual | ~SplitStrategy ()

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from SplitStrategy
static unique_ptr< SplitStrategy > | createStrategy (const string &prefix)
| Returns the strategy whose name has the given prefix.

## Additional Inherited Members

Protected Member Functions inherited from LabelSplit
void | setCounts (const Slice &slice) const
void | setOneCounts (const Slice &slice) const
virtual bool | isLabelSplit () const
| If returns true, only call getLabelSplitVariable.
Protected Member Functions inherited from SplitStrategyCommon
Exponent | getMedianPositiveExponentOf (Slice &slice, size_t var) const
size_t | getBestVar (const Slice &slice) const
Protected Member Functions inherited from SplitStrategy
| SplitStrategy ()
| SplitStrategy (const SplitStrategy &)
SplitStrategy & | operator= (const SplitStrategy &)
bool | operator== (const SplitStrategy &)
Protected Attributes inherited from LabelSplit
Term | _counts
Term | _oneCounts
Protected Attributes inherited from SplitStrategyCommon
Term | coVariableForGetBestVar

## Detailed Description

Definition at line 135 of file SplitStrategy.cpp.

## Member Function Documentation

## getLabelSplitVariable()

virtual size_t MaxLabelSplit::getLabelSplitVariable | ( | const Slice & | slice | ) | const

inline virtual

Returns the variable to perform a label split on.

This method must only be called if isLabelSplit() returns true.

Reimplemented from SplitStrategyCommon.

Definition at line 145 of file SplitStrategy.cpp.

## getName()

virtual const char * MaxLabelSplit::getName | ( |  | ) | const

inline virtual

Returns the name of the strategy.

Implements SplitStrategy.

Definition at line 137 of file SplitStrategy.cpp.

## staticGetName()

const char * MaxLabelSplit::staticGetName | ( |  | ) |

inline static

Definition at line 141 of file SplitStrategy.cpp.

The documentation for this class was generated from the following file:

- src/SplitStrategy.cpp